<?php

namespace Database\Seeders\Update;

use Illuminate\Database\Seeder;
use App\Models\Admin\PaymentGateway;
use App\Models\Admin\PaymentGatewayCurrency;

class PaymentGatewaySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //add money crypto gateway add
        $lastGateway = PaymentGateway::orderBy('id',"DESC")->first();
        if(!PaymentGateway::where('slug','add-money')->where('alias','bitcoin')->exists()){
            $payment_gateways_id = $lastGateway->id+1;
            $payment_gateways_code = PaymentGateway::max('code')+5;

            $payment_gateways = array(
                array('id' => $payment_gateways_id,'slug' => 'add-money','code' => $payment_gateways_code,'type' => 'MANUAL','name' => 'Bitcoin','title' => 'Bitcoin Gateway','alias' => 'bitcoin','image' => NULL,'credentials' => NULL,'supported_currencies' => '["BTC"]','crypto' => '1','desc' => '<p>This Is Manual Crypto Add Money Gateway</p>','input_fields' => '[{"type":"text","label":"Email","name":"email","required":true,"validation":{"max":"30","mimes":[],"min":"0","options":[],"required":true}}]','status' => '1','last_edit_by' => '1','created_at' => now(),'updated_at' => now(),'env' => NULL)
            );
            PaymentGateway::insert($payment_gateways);

            $payment_gateway_currencies = array(
                array('payment_gateway_id' =>  $payment_gateways_id,'name' => 'Bitcoin BTC','alias' => 'bitcoin-btc-manual','currency_code' => 'BTC','currency_symbol' => '₿','image' => NULL,'min_limit' => '0.00001700','max_limit' => '0.13445566','percent_charge' => '0.00001700','fixed_charge' => '0.00001700','rate' => '0.00001700','created_at' => now(),'updated_at' => now())
              );
            PaymentGatewayCurrency::insert($payment_gateway_currencies);

        }

        //withdraw money crypto gateway add
        $lastGateway = PaymentGateway::orderBy('id',"DESC")->first();
        if(!PaymentGateway::where('slug','money-out')->where('alias','bitcoin')->exists()){
            $payment_gateways_id = $lastGateway->id+1;
            $payment_gateways_code = PaymentGateway::max('code')+5;

            $payment_gateways = array(
                array('id' => $payment_gateways_id,'slug' => 'money-out','code' =>  $payment_gateways_code,'type' => 'MANUAL','name' => 'Bitcoin','title' => 'Bitcoin Gateway','alias' => 'bitcoin','image' => NULL,'credentials' => NULL,'supported_currencies' => '["BTC"]','crypto' => '1','desc' => '<p>This Is Manual Crypto Withdraw Money Gateway</p>','input_fields' => '[{"type":"text","label":"Email","name":"email","required":true,"validation":{"max":"50","mimes":[],"min":"0","options":[],"required":true}}]','status' => '1','last_edit_by' => '1','created_at' => now(),'updated_at' => now(),'env' => NULL)
            );
            PaymentGateway::insert($payment_gateways);

            $payment_gateway_currencies = array(
                array('payment_gateway_id' =>  $payment_gateways_id,'name' => 'Bitcoin BTC','alias' => 'bitcoin-btc-money-out','currency_code' => 'BTC','currency_symbol' => '₿','image' => NULL,'min_limit' => '0.00001700','max_limit' => '0.13445566','percent_charge' => '0.00001700','fixed_charge' => '0.00001700','rate' => '0.00001700','created_at' => now(),'updated_at' => now())
              );
            PaymentGatewayCurrency::insert($payment_gateway_currencies);
        }

        //update flutterwave gateway(withdraw money)
        $flutterWave = PaymentGateway::where('alias','flutterwave-money-out')->first();
        if($flutterWave){
            $flutterWave->supported_currencies     = ["AED", "ARS", "AUD", "CAD", "CHF", "CZK", "ETB", "EUR", "GBP", "GHS", "ILS", "INR", "JPY", "KES", "MAD", "MUR", "MYR", "NGN", "NOK", "NZD", "PEN", "PLN", "RUB", "RWF", "SAR", "SEK", "SGD", "SLL", "TZS", "UGX", "USD", "XAF", "XOF", "ZAR", "ZMK", "ZMW", "MWK","EGP"];
            $flutterWave->save();
            $payment_gateways_id = $flutterWave->id;
            $payment_gateway_currencies = array(

                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave ZAR','alias' => 'flutterwave-zar-money-out-automatic','currency_code' => 'ZAR','currency_symbol' => 'R','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '17.74000000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave UGX','alias' => 'flutterwave-ugx-money-out-automatic','currency_code' => 'UGX','currency_symbol' => 'USh','image' => NULL,'min_limit' => '100.00000000','max_limit' => '10000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '3690.80000000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave SLL','alias' => 'flutterwave-sll-money-out-automatic','currency_code' => 'SLL','currency_symbol' => 'Le','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '22.51210000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave RWF','alias' => 'flutterwave-rwf-money-out-automatic','currency_code' => 'RWF','currency_symbol' => 'RWF','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '1315.15000000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave MWK','alias' => 'flutterwave-mwk-money-out-automatic','currency_code' => 'MWK','currency_symbol' => 'MK','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '1722.74000000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave KES','alias' => 'flutterwave-kes-money-out-automatic','currency_code' => 'KES','currency_symbol' => 'KSh','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '129.00000000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave GHS','alias' => 'flutterwave-ghs-money-out-automatic','currency_code' => 'GHS','currency_symbol' => 'GH₵','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '15.55000000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave ETB','alias' => 'flutterwave-etb-money-out-automatic','currency_code' => 'ETB','currency_symbol' => 'Br','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '108.54000000','created_at' => now(),'updated_at' => now()),
                array('payment_gateway_id' => $payment_gateways_id,'name' => 'Flutterwave EGP','alias' => 'flutterwave-egp-money-out-automatic','currency_code' => 'EGP','currency_symbol' => 'E£','image' => NULL,'min_limit' => '100.00000000','max_limit' => '1000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '48.80000000','created_at' => now(),'updated_at' => now())
              );
            PaymentGatewayCurrency::insert($payment_gateway_currencies);
        }
    }
}
