<?php

namespace Database\Seeders\Admin;

use App\Constants\GlobalConst;
use App\Models\Admin\SetupPage;
use Illuminate\Database\Seeder;
use Illuminate\Support\Str;

class SetupPageSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $pages =  [
            "Home" => "/",
            "About" => "/about",
            "Service"=>"/service",
            "Web Journal" =>"web/journal",
            "Agent" =>"agent-info",
            "Merchant" =>"merchant-info",
            "Developer" =>"developer",
            "Contact" => "/contact"
        ];
        $data = [];
        foreach($pages as $item => $url) {
            $data[] = [
                'type'         => Str::slug(GlobalConst::SETUP_PAGE),
                'slug'         => Str::slug($item),
                'title'        => json_encode(
                    [
                        'title'     => $item
                    ],
                ),
                'url'          => $url,
                'last_edit_by' => 1,
                'status' => 1,
                'created_at'   => now(),
            ];
        }
        SetupPage::insert($data);

        $useful_links = array(
            array('type' => 'useful-links','slug' => 'privacy-policy','title' => '{"language":{"en":{"title":"Privacy Policy"},"es":{"title":"pol\\u00edtica de privacidad"},"ar":{"title":"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629"},"fr":{"title":"pol\\u00edtica de privacidad"}}}','url' => NULL,'details' => '{"language":{"en":{"details":"<h3 style=\\"margin-left:0px;\\"><strong>What information do we collect?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We gather data from you when you register on our site, submit a request, buy any services, react to an overview, or round out a structure. At the point when requesting any assistance or enrolling on our site, as suitable, you might be approached to enter your: name, email address, or telephone number. You may, nonetheless, visit our site anonymously.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How do we protect your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">All provided delicate\\/credit data is sent through Stripe.<br>After an exchange, your private data (credit cards, social security numbers, financials, and so on) won be put away on our workers.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Do we disclose any information to outside parties?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We don sell, exchange, or in any case move to outside gatherings by and by recognizable data. This does exclude confided in outsiders who help us in working our site, leading our business, or adjusting you, since those gatherings consent to keep this data private. We may likewise deliver your data when we accept discharge is suitable to follow the law, implement our site strategies, or ensure our own or others rights, property, or wellbeing.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Childrens Online Privacy Protection Act Compliance<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We are consistent with the prerequisites of COPPA (Childrens Online Privacy Protection Act), we don gather any data from anybody under 13 years old. Our site, items, and administrations are completely coordinated to individuals who are in any event 13 years of age or more established.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Changes to our Privacy Policy<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">If we decide to change our privacy policy, we will post those changes on this page.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How long we retain your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">At the point when you register for our site, we cycle and keep your information we have about you however long you don not erase the record or withdraw yourself (subject to laws and guidelines).<\\/p><h2 style=\\"margin-left:0px;text-align:center;\\">&nbsp;<\\/h2>"},"es":{"details":"<p>\\u00bfQu\\u00e9 informaci\\u00f3n recopilamos?<\\/p><p>Recopilamos sus datos cuando se registra en nuestro sitio, env\\u00eda una solicitud, compra cualquier servicio, reacciona a una descripci\\u00f3n general o completa una estructura. Cuando solicite asistencia o se registre en nuestro sitio, seg\\u00fan corresponda, se le pedir\\u00e1 que ingrese su: nombre, direcci\\u00f3n de correo electr\\u00f3nico o n\\u00famero de tel\\u00e9fono. No obstante, puede visitar nuestro sitio de forma an\\u00f3nima.<\\/p><p>\\u00bfC\\u00f3mo protegemos tu informaci\\u00f3n?<\\/p><p>Todos los datos delicados\\/de cr\\u00e9dito proporcionados se env\\u00edan a trav\\u00e9s de Stripe.<br>Despu\\u00e9s de un intercambio, sus datos privados (tarjetas de cr\\u00e9dito, n\\u00fameros de seguridad social, datos financieros, etc.) se guardar\\u00e1n en nuestros trabajadores.<\\/p><p>\\u00bfRevelamos informaci\\u00f3n a terceros?<\\/p><p>No vendemos, intercambiamos o, en cualquier caso, nos trasladamos a reuniones externas por y por datos reconocibles. Esto excluye a personas ajenas a la confianza que nos ayudan a trabajar en nuestro sitio, liderar nuestro negocio o ajustarlo, ya que esos grupos aceptan mantener estos datos privados. Tambi\\u00e9n podemos entregar sus datos cuando aceptemos que la descarga es adecuada para cumplir con la ley, implementar las estrategias de nuestro sitio o garantizar nuestros derechos, propiedad o bienestar propios o ajenos.<\\/p><p>Cumplimiento de la Ley de protecci\\u00f3n de la privacidad en l\\u00ednea de los ni\\u00f1os<\\/p><p>Cumplimos con los requisitos previos de COPPA (Ley de protecci\\u00f3n de la privacidad en l\\u00ednea de los ni\\u00f1os), no recopilamos datos de personas menores de 13 a\\u00f1os. Nuestro sitio, art\\u00edculos y administraciones est\\u00e1n completamente coordinados para personas que tienen al menos 13 a\\u00f1os de edad o m\\u00e1s establecidas.<\\/p><p>Cambios a nuestra Pol\\u00edtica de Privacidad<\\/p><p>Si decidimos cambiar nuestra pol\\u00edtica de privacidad, publicaremos esos cambios en esta p\\u00e1gina.<\\/p><p>\\u00bfCu\\u00e1nto tiempo retenemos su informaci\\u00f3n?<\\/p><p>En el momento en que se registra en nuestro sitio, ciclamos y mantenemos la informaci\\u00f3n que tenemos sobre usted por el tiempo que no borre el registro o se retire (sujeto a leyes y pautas).<\\/p>"},"ar":{"details":"<p>\\u0645\\u0627 \\u0647\\u064a \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639\\u0647\\u0627\\u061f<\\/p><p>\\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u062a\\u0642\\u0648\\u0645 \\u0628\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u062a\\u0642\\u062f\\u064a\\u0645 \\u0637\\u0644\\u0628 \\u060c \\u0623\\u0648 \\u0634\\u0631\\u0627\\u0621 \\u0623\\u064a \\u062e\\u062f\\u0645\\u0627\\u062a \\u060c \\u0623\\u0648 \\u0627\\u0644\\u0631\\u062f \\u0639\\u0644\\u0649 \\u0646\\u0638\\u0631\\u0629 \\u0639\\u0627\\u0645\\u0629 \\u060c \\u0623\\u0648 \\u0625\\u0646\\u0647\\u0627\\u0621 \\u0647\\u064a\\u0643\\u0644. \\u0639\\u0646\\u062f \\u0637\\u0644\\u0628 \\u0623\\u064a \\u0645\\u0633\\u0627\\u0639\\u062f\\u0629 \\u0623\\u0648 \\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u062d\\u0633\\u0628 \\u0627\\u0644\\u0627\\u0642\\u062a\\u0636\\u0627\\u0621 \\u060c \\u0642\\u062f \\u064a\\u062a\\u0645 \\u0627\\u0644\\u0627\\u062a\\u0635\\u0627\\u0644 \\u0628\\u0643 \\u0644\\u0625\\u062f\\u062e\\u0627\\u0644: \\u0627\\u0633\\u0645\\u0643 \\u0623\\u0648 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0628\\u0631\\u064a\\u062f\\u0643 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0623\\u0648 \\u0631\\u0642\\u0645 \\u0647\\u0627\\u062a\\u0641\\u0643. \\u0648\\u0645\\u0639 \\u0630\\u0644\\u0643 \\u060c \\u064a\\u0645\\u0643\\u0646\\u0643 \\u0632\\u064a\\u0627\\u0631\\u0629 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u062f\\u0648\\u0646 \\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646 \\u0647\\u0648\\u064a\\u062a\\u0643.<\\/p><p>\\u0643\\u064a\\u0641 \\u0646\\u062d\\u0645\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u064a\\u062a\\u0645 \\u0625\\u0631\\u0633\\u0627\\u0644 \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u062f\\u0642\\u064a\\u0642\\u0629 \\/ \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0642\\u062f\\u0645\\u0629 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 Stripe.<br>\\u0628\\u0639\\u062f \\u0627\\u0644\\u062a\\u0628\\u0627\\u062f\\u0644 \\u060c \\u0633\\u064a\\u062a\\u0645 \\u0648\\u0636\\u0639 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 (\\u0628\\u0637\\u0627\\u0642\\u0627\\u062a \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646 \\u0648\\u0623\\u0631\\u0642\\u0627\\u0645 \\u0627\\u0644\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a \\u0648\\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629 \\u0648\\u0645\\u0627 \\u0625\\u0644\\u0649 \\u0630\\u0644\\u0643) \\u0628\\u0639\\u064a\\u062f\\u064b\\u0627 \\u0639\\u0646 \\u0639\\u0645\\u0627\\u0644\\u0646\\u0627.<\\/p><p>\\u0647\\u0644 \\u0646\\u0641\\u0635\\u062d \\u0639\\u0646 \\u0623\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0644\\u0644\\u0623\\u0637\\u0631\\u0627\\u0641 \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629\\u061f<\\/p><p>\\u0646\\u062d\\u0646 \\u0644\\u0627 \\u0646\\u0628\\u064a\\u0639 \\u0623\\u0648 \\u0646\\u062a\\u0628\\u0627\\u062f\\u0644 \\u0623\\u0648 \\u0646\\u0646\\u062a\\u0642\\u0644 \\u0628\\u0623\\u064a \\u062d\\u0627\\u0644 \\u0645\\u0646 \\u0627\\u0644\\u0623\\u062d\\u0648\\u0627\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629 \\u0628\\u0648\\u0627\\u0633\\u0637\\u0629 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u064a\\u0645\\u0643\\u0646 \\u0627\\u0644\\u062a\\u0639\\u0631\\u0641 \\u0639\\u0644\\u064a\\u0647\\u0627. \\u0647\\u0630\\u0627 \\u0644\\u0627 \\u064a\\u0633\\u062a\\u062b\\u0646\\u064a \\u0645\\u0646 \\u0623\\u0633\\u0631\\u062a\\u0647\\u0645 \\u0627\\u0644\\u063a\\u0631\\u0628\\u0627\\u0621 \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0633\\u0627\\u0639\\u062f\\u0648\\u0646\\u0646\\u0627 \\u0641\\u064a \\u0627\\u0644\\u0639\\u0645\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u0642\\u064a\\u0627\\u062f\\u0629 \\u0623\\u0639\\u0645\\u0627\\u0644\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u062a\\u0639\\u062f\\u064a\\u0644\\u0643 \\u060c \\u0644\\u0623\\u0646 \\u062a\\u0644\\u0643 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u062a\\u0648\\u0627\\u0641\\u0642 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u062d\\u0641\\u0627\\u0638 \\u0639\\u0644\\u0649 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a. \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0623\\u064a\\u0636\\u064b\\u0627 \\u0628\\u062a\\u0633\\u0644\\u064a\\u0645 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u0646\\u0642\\u0628\\u0644 \\u0623\\u0646 \\u0627\\u0644\\u062a\\u0641\\u0631\\u064a\\u063a \\u0645\\u0646\\u0627\\u0633\\u0628 \\u0644\\u0627\\u062a\\u0628\\u0627\\u0639 \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u0623\\u0648 \\u062a\\u0646\\u0641\\u064a\\u0630 \\u0627\\u0633\\u062a\\u0631\\u0627\\u062a\\u064a\\u062c\\u064a\\u0627\\u062a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0623\\u0648 \\u0636\\u0645\\u0627\\u0646 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u0645\\u0645\\u062a\\u0644\\u0643\\u0627\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u0631\\u0641\\u0627\\u0647\\u064a\\u062a\\u0646\\u0627.<\\/p><p>\\u0627\\u0644\\u0627\\u0645\\u062a\\u062b\\u0627\\u0644 \\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a<\\/p><p>\\u0646\\u062d\\u0646 \\u0646\\u062a\\u0641\\u0642 \\u0645\\u0639 \\u0627\\u0644\\u0645\\u062a\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u0623\\u0633\\u0627\\u0633\\u064a\\u0629 \\u0644\\u0640 COPPA (\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a) \\u060c \\u0648\\u0644\\u0627 \\u0646\\u062c\\u0645\\u0639 \\u0623\\u064a \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646 \\u0623\\u064a \\u0634\\u062e\\u0635 \\u0623\\u0642\\u0644 \\u0645\\u0646 13 \\u0639\\u0627\\u0645\\u064b\\u0627. \\u064a\\u062a\\u0645 \\u062a\\u0646\\u0633\\u064a\\u0642 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0648\\u0639\\u0646\\u0627\\u0635\\u0631\\u0646\\u0627 \\u0648\\u0625\\u062f\\u0627\\u0631\\u0627\\u062a\\u0646\\u0627 \\u0628\\u0627\\u0644\\u0643\\u0627\\u0645\\u0644 \\u0645\\u0639 \\u0627\\u0644\\u0623\\u0641\\u0631\\u0627\\u062f \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0628\\u0644\\u063a\\u0648\\u0646 \\u0645\\u0646 \\u0627\\u0644\\u0639\\u0645\\u0631 13 \\u0639\\u0627\\u0645\\u064b\\u0627 \\u0623\\u0648 \\u0623\\u0643\\u062b\\u0631.<\\/p><p>\\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0641\\u064a \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627<\\/p><p>\\u0625\\u0630\\u0627 \\u0642\\u0631\\u0631\\u0646\\u0627 \\u062a\\u063a\\u064a\\u064a\\u0631 \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627 \\u060c \\u0641\\u0633\\u0646\\u0646\\u0634\\u0631 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0635\\u0641\\u062d\\u0629.<\\/p><p>\\u0643\\u0645 \\u0645\\u0646 \\u0627\\u0644\\u0648\\u0642\\u062a \\u0646\\u062d\\u062a\\u0641\\u0638 \\u0628\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u0641\\u064a \\u0627\\u0644\\u0648\\u0642\\u062a \\u0627\\u0644\\u0630\\u064a \\u062a\\u0633\\u062c\\u0644 \\u0641\\u064a\\u0647 \\u0641\\u064a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062a\\u062f\\u0648\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643 \\u0627\\u0644\\u062a\\u064a \\u0644\\u062f\\u064a\\u0646\\u0627 \\u0639\\u0646\\u0643 \\u0648\\u0627\\u0644\\u0627\\u062d\\u062a\\u0641\\u0627\\u0638 \\u0628\\u0647\\u0627 \\u0645\\u0647\\u0645\\u0627 \\u0637\\u0627\\u0644\\u062a \\u0645\\u062f\\u0629 \\u0639\\u062f\\u0645 \\u0645\\u0633\\u062d \\u0627\\u0644\\u0633\\u062c\\u0644 \\u0623\\u0648 \\u0633\\u062d\\u0628 \\u0646\\u0641\\u0633\\u0643 (\\u0648\\u0641\\u0642\\u064b\\u0627 \\u0644\\u0644\\u0642\\u0648\\u0627\\u0646\\u064a\\u0646 \\u0648\\u0627\\u0644\\u0625\\u0631\\u0634\\u0627\\u062f\\u0627\\u062a).<\\/p>"},"fr":{"details":"<p>Quelles informations collectons-nous?<\\/p><p>Nous collectons vos donn\\u00e9es lorsque vous vous inscrivez sur notre site, soumettez une demande, achetez des services, r\\u00e9agissez \\u00e0 un aper\\u00e7u ou compl\\u00e9tez une structure. Au moment de demander de l\'aide ou de vous inscrire sur notre site, le cas \\u00e9ch\\u00e9ant, vous pourriez \\u00eatre invit\\u00e9 \\u00e0 saisir votre : nom, adresse e-mail ou num\\u00e9ro de t\\u00e9l\\u00e9phone. Vous pouvez n\\u00e9anmoins visiter notre site de mani\\u00e8re anonyme.<\\/p><p>Comment prot\\u00e9geons-nous vos informations?<\\/p><p>Toutes les donn\\u00e9es d\\u00e9licates\\/de cr\\u00e9dit fournies sont envoy\\u00e9es via Stripe.<br>Apr\\u00e8s un \\u00e9change, vos donn\\u00e9es priv\\u00e9es (cartes de cr\\u00e9dit, num\\u00e9ros de s\\u00e9curit\\u00e9 sociale, donn\\u00e9es financi\\u00e8res, etc.) seront transmises \\u00e0 nos employ\\u00e9s.<\\/p><p>Devons-nous divulguer des informations \\u00e0 des parties ext\\u00e9rieures&nbsp;?<\\/p><p>Nous ne vendons pas, n\'\\u00e9changeons pas, ou en aucun cas ne nous d\\u00e9pla\\u00e7ons vers des rassemblements ext\\u00e9rieurs par et par des donn\\u00e9es reconnaissables. Cela exclut les personnes confi\\u00e9es \\u00e0 des tiers qui nous aident \\u00e0 exploiter notre site, \\u00e0 diriger notre entreprise ou \\u00e0 vous ajuster, puisque ces personnes consentent \\u00e0 garder ces donn\\u00e9es priv\\u00e9es. Nous pouvons \\u00e9galement fournir vos donn\\u00e9es lorsque nous acceptons que la d\\u00e9cision soit appropri\\u00e9e pour respecter la loi, mettre en \\u0153uvre nos strat\\u00e9gies de site ou garantir nos propres droits, propri\\u00e9t\\u00e9 ou bien-\\u00eatre ou ceux d\'autrui.<\\/p><p>Conformit\\u00e9 \\u00e0 la loi sur la protection de la vie priv\\u00e9e en ligne des enfants<\\/p><p>Nous sommes conformes aux conditions pr\\u00e9alables de la COPPA (Childrens Online Privacy Protection Act), nous ne collectons aucune donn\\u00e9e sur toute personne de moins de 13 ans. Notre site, nos produits et nos services sont enti\\u00e8rement adapt\\u00e9s aux personnes \\u00e2g\\u00e9es de 13 ans ou plus.<\\/p><p>Modifications de notre politique de confidentialit\\u00e9<\\/p><p>Si nous d\\u00e9cidons de modifier notre politique de confidentialit\\u00e9, nous publierons ces modifications sur cette page.<\\/p><p>Combien de temps conservons-nous vos informations ?<\\/p><p>Au moment o\\u00f9 vous vous inscrivez sur notre site, nous conservons et conservons les informations que nous d\\u00e9tenons \\u00e0 votre sujet aussi longtemps que vous n\'effacez pas l\'enregistrement ou ne vous retirez pas (sous r\\u00e9serve des lois et directives).<\\/p>"}}}','last_edit_by' => '1','status' => '1','created_at' => '2023-06-12 09:42:29','updated_at' => '2024-03-06 12:35:14'),
            array('type' => 'useful-links','slug' => 'terms-and-conditions','title' => '{"language":{"en":{"title":"Terms And Conditions"},"es":{"title":"T\\u00e9rminos y condiciones"},"ar":{"title":"\\u0627\\u0644\\u0623\\u062d\\u0643\\u0627\\u0645 \\u0648\\u0627\\u0644\\u0634\\u0631\\u0648\\u0637"},"fr":{"title":"T\\u00e9rminos y condiciones"}}}','url' => NULL,'details' => '{"language":{"en":{"details":"<h3 style=\\"margin-left:0px;\\"><strong>What information do we collect?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We gather data from you when you register on our site, submit a request, buy any services, react to an overview, or round out a structure. At the point when requesting any assistance or enrolling on our site, as suitable, you might be approached to enter your: name, email address, or telephone number. You may, nonetheless, visit our site anonymously.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How do we protect your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">All provided delicate\\/credit data is sent through Stripe.<br>After an exchange, your private data (credit cards, social security numbers, financials, and so on) won be put away on our workers.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Do we disclose any information to outside parties?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We don sell, exchange, or in any case move to outside gatherings by and by recognizable data. This does exclude confided in outsiders who help us in working our site, leading our business, or adjusting you, since those gatherings consent to keep this data private. We may likewise deliver your data when we accept discharge is suitable to follow the law, implement our site strategies, or ensure our own or others rights, property, or wellbeing.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Childrens Online Privacy Protection Act Compliance<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We are consistent with the prerequisites of COPPA (Childrens Online Privacy Protection Act), we don gather any data from anybody under 13 years old. Our site, items, and administrations are completely coordinated to individuals who are in any event 13 years of age or more established.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Changes to our Privacy Policy<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">If we decide to change our privacy policy, we will post those changes on this page.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How long we retain your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">At the point when you register for our site, we cycle and keep your information we have about you however long you don not erase the record or withdraw yourself (subject to laws and guidelines).<\\/p>"},"es":{"details":"<p>\\u00bfQu\\u00e9 informaci\\u00f3n recopilamos?<\\/p><p>Recopilamos datos suyos cuando se registra en nuestro sitio, env\\u00eda una solicitud, compra alg\\u00fan servicio, reacciona a una descripci\\u00f3n general o completa una estructura. En el momento de solicitar asistencia o registrarse en nuestro sitio, seg\\u00fan corresponda, es posible que se le solicite que ingrese su: nombre, direcci\\u00f3n de correo electr\\u00f3nico o n\\u00famero de tel\\u00e9fono. No obstante, puede visitar nuestro sitio de forma an\\u00f3nima.<\\/p><p>\\u00bfC\\u00f3mo protegemos tu informaci\\u00f3n?<\\/p><p>Todos los datos delicados\\/cr\\u00e9ditos proporcionados se env\\u00edan a trav\\u00e9s de Stripe.<br>Despu\\u00e9s de un intercambio, sus datos privados (tarjetas de cr\\u00e9dito, n\\u00fameros de seguro social, finanzas, etc.) pasar\\u00e1n a nuestros trabajadores.<\\/p><p>\\u00bfRevelamos alguna informaci\\u00f3n a terceros?<\\/p><p>No vendemos, intercambiamos ni, en ning\\u00fan caso, nos trasladamos a reuniones externas mediante datos reconocibles. Esto excluye a personas externas de confianza que nos ayudan a trabajar en nuestro sitio, dirigir nuestro negocio o ajustarlo, ya que esas reuniones consienten en mantener estos datos privados. Asimismo, podremos entregar sus datos cuando aceptemos que la descarga es adecuada para cumplir con la ley, implementar las estrategias de nuestro sitio o garantizar nuestros derechos, propiedad o bienestar o los de otros.<\\/p><p>Cumplimiento de la Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea<\\/p><p>Somos consistentes con los requisitos previos de COPPA (Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea), no recopilamos datos de ninguna persona menor de 13 a\\u00f1os. Nuestro sitio, art\\u00edculos y servicios est\\u00e1n completamente adaptados a personas mayores de 13 a\\u00f1os o m\\u00e1s.<\\/p><p>Cambios en nuestra Pol\\u00edtica de Privacidad<\\/p><p>Si decidimos cambiar nuestra pol\\u00edtica de privacidad, publicaremos esos cambios en esta p\\u00e1gina.<\\/p><p>\\u00bfCu\\u00e1nto tiempo conservamos su informaci\\u00f3n?<\\/p><p>En el momento en que se registra en nuestro sitio, realizamos un ciclo y mantenemos la informaci\\u00f3n que tenemos sobre usted durante el tiempo que usted no borre el registro ni se retire (sujeto a leyes y pautas).<\\/p>"},"ar":{"details":"<p>\\u0645\\u0627 \\u0647\\u064a \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639\\u0647\\u0627\\u061f<\\/p><p>\\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u062a\\u0642\\u0648\\u0645 \\u0628\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u062a\\u0642\\u062f\\u064a\\u0645 \\u0637\\u0644\\u0628 \\u060c \\u0623\\u0648 \\u0634\\u0631\\u0627\\u0621 \\u0623\\u064a \\u062e\\u062f\\u0645\\u0627\\u062a \\u060c \\u0623\\u0648 \\u0627\\u0644\\u0631\\u062f \\u0639\\u0644\\u0649 \\u0646\\u0638\\u0631\\u0629 \\u0639\\u0627\\u0645\\u0629 \\u060c \\u0623\\u0648 \\u0625\\u0646\\u0647\\u0627\\u0621 \\u0647\\u064a\\u0643\\u0644. \\u0639\\u0646\\u062f \\u0637\\u0644\\u0628 \\u0623\\u064a \\u0645\\u0633\\u0627\\u0639\\u062f\\u0629 \\u0623\\u0648 \\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u062d\\u0633\\u0628 \\u0627\\u0644\\u0627\\u0642\\u062a\\u0636\\u0627\\u0621 \\u060c \\u0642\\u062f \\u064a\\u062a\\u0645 \\u0627\\u0644\\u0627\\u062a\\u0635\\u0627\\u0644 \\u0628\\u0643 \\u0644\\u0625\\u062f\\u062e\\u0627\\u0644: \\u0627\\u0633\\u0645\\u0643 \\u0623\\u0648 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0628\\u0631\\u064a\\u062f\\u0643 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0623\\u0648 \\u0631\\u0642\\u0645 \\u0647\\u0627\\u062a\\u0641\\u0643. \\u0648\\u0645\\u0639 \\u0630\\u0644\\u0643 \\u060c \\u064a\\u0645\\u0643\\u0646\\u0643 \\u0632\\u064a\\u0627\\u0631\\u0629 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u062f\\u0648\\u0646 \\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646 \\u0647\\u0648\\u064a\\u062a\\u0643.<\\/p><p>\\u0643\\u064a\\u0641 \\u0646\\u062d\\u0645\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u064a\\u062a\\u0645 \\u0625\\u0631\\u0633\\u0627\\u0644 \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u062f\\u0642\\u064a\\u0642\\u0629 \\/ \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0642\\u062f\\u0645\\u0629 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 Stripe.<br>\\u0628\\u0639\\u062f \\u0627\\u0644\\u062a\\u0628\\u0627\\u062f\\u0644 \\u060c \\u0633\\u064a\\u062a\\u0645 \\u0648\\u0636\\u0639 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 (\\u0628\\u0637\\u0627\\u0642\\u0627\\u062a \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646 \\u0648\\u0623\\u0631\\u0642\\u0627\\u0645 \\u0627\\u0644\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a \\u0648\\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629 \\u0648\\u0645\\u0627 \\u0625\\u0644\\u0649 \\u0630\\u0644\\u0643) \\u0628\\u0639\\u064a\\u062f\\u064b\\u0627 \\u0639\\u0646 \\u0639\\u0645\\u0627\\u0644\\u0646\\u0627.<\\/p><p>\\u0647\\u0644 \\u0646\\u0641\\u0635\\u062d \\u0639\\u0646 \\u0623\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0644\\u0644\\u0623\\u0637\\u0631\\u0627\\u0641 \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629\\u061f<\\/p><p>\\u0646\\u062d\\u0646 \\u0644\\u0627 \\u0646\\u0628\\u064a\\u0639 \\u0623\\u0648 \\u0646\\u062a\\u0628\\u0627\\u062f\\u0644 \\u0623\\u0648 \\u0646\\u0646\\u062a\\u0642\\u0644 \\u0628\\u0623\\u064a \\u062d\\u0627\\u0644 \\u0645\\u0646 \\u0627\\u0644\\u0623\\u062d\\u0648\\u0627\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629 \\u0628\\u0648\\u0627\\u0633\\u0637\\u0629 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u064a\\u0645\\u0643\\u0646 \\u0627\\u0644\\u062a\\u0639\\u0631\\u0641 \\u0639\\u0644\\u064a\\u0647\\u0627. \\u0647\\u0630\\u0627 \\u0644\\u0627 \\u064a\\u0633\\u062a\\u062b\\u0646\\u064a \\u0645\\u0646 \\u0623\\u0633\\u0631\\u062a\\u0647\\u0645 \\u0627\\u0644\\u063a\\u0631\\u0628\\u0627\\u0621 \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0633\\u0627\\u0639\\u062f\\u0648\\u0646\\u0646\\u0627 \\u0641\\u064a \\u0627\\u0644\\u0639\\u0645\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u0642\\u064a\\u0627\\u062f\\u0629 \\u0623\\u0639\\u0645\\u0627\\u0644\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u062a\\u0639\\u062f\\u064a\\u0644\\u0643 \\u060c \\u0644\\u0623\\u0646 \\u062a\\u0644\\u0643 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u062a\\u0648\\u0627\\u0641\\u0642 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u062d\\u0641\\u0627\\u0638 \\u0639\\u0644\\u0649 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a. \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0623\\u064a\\u0636\\u064b\\u0627 \\u0628\\u062a\\u0633\\u0644\\u064a\\u0645 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u0646\\u0642\\u0628\\u0644 \\u0623\\u0646 \\u0627\\u0644\\u062a\\u0641\\u0631\\u064a\\u063a \\u0645\\u0646\\u0627\\u0633\\u0628 \\u0644\\u0627\\u062a\\u0628\\u0627\\u0639 \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u0623\\u0648 \\u062a\\u0646\\u0641\\u064a\\u0630 \\u0627\\u0633\\u062a\\u0631\\u0627\\u062a\\u064a\\u062c\\u064a\\u0627\\u062a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0623\\u0648 \\u0636\\u0645\\u0627\\u0646 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u0645\\u0645\\u062a\\u0644\\u0643\\u0627\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u0631\\u0641\\u0627\\u0647\\u064a\\u062a\\u0646\\u0627.<\\/p><p>\\u0627\\u0644\\u0627\\u0645\\u062a\\u062b\\u0627\\u0644 \\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a<\\/p><p>\\u0646\\u062d\\u0646 \\u0646\\u062a\\u0641\\u0642 \\u0645\\u0639 \\u0627\\u0644\\u0645\\u062a\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u0623\\u0633\\u0627\\u0633\\u064a\\u0629 \\u0644\\u0640 COPPA (\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a) \\u060c \\u0648\\u0644\\u0627 \\u0646\\u062c\\u0645\\u0639 \\u0623\\u064a \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646 \\u0623\\u064a \\u0634\\u062e\\u0635 \\u0623\\u0642\\u0644 \\u0645\\u0646 13 \\u0639\\u0627\\u0645\\u064b\\u0627. \\u064a\\u062a\\u0645 \\u062a\\u0646\\u0633\\u064a\\u0642 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0648\\u0639\\u0646\\u0627\\u0635\\u0631\\u0646\\u0627 \\u0648\\u0625\\u062f\\u0627\\u0631\\u0627\\u062a\\u0646\\u0627 \\u0628\\u0627\\u0644\\u0643\\u0627\\u0645\\u0644 \\u0645\\u0639 \\u0627\\u0644\\u0623\\u0641\\u0631\\u0627\\u062f \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0628\\u0644\\u063a\\u0648\\u0646 \\u0645\\u0646 \\u0627\\u0644\\u0639\\u0645\\u0631 13 \\u0639\\u0627\\u0645\\u064b\\u0627 \\u0623\\u0648 \\u0623\\u0643\\u062b\\u0631.<\\/p><p>\\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0641\\u064a \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627<\\/p><p>\\u0625\\u0630\\u0627 \\u0642\\u0631\\u0631\\u0646\\u0627 \\u062a\\u063a\\u064a\\u064a\\u0631 \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627 \\u060c \\u0641\\u0633\\u0646\\u0646\\u0634\\u0631 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0635\\u0641\\u062d\\u0629.<\\/p><p>\\u0643\\u0645 \\u0645\\u0646 \\u0627\\u0644\\u0648\\u0642\\u062a \\u0646\\u062d\\u062a\\u0641\\u0638 \\u0628\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u0641\\u064a \\u0627\\u0644\\u0648\\u0642\\u062a \\u0627\\u0644\\u0630\\u064a \\u062a\\u0633\\u062c\\u0644 \\u0641\\u064a\\u0647 \\u0641\\u064a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062a\\u062f\\u0648\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643 \\u0627\\u0644\\u062a\\u064a \\u0644\\u062f\\u064a\\u0646\\u0627 \\u0639\\u0646\\u0643 \\u0648\\u0627\\u0644\\u0627\\u062d\\u062a\\u0641\\u0627\\u0638 \\u0628\\u0647\\u0627 \\u0645\\u0647\\u0645\\u0627 \\u0637\\u0627\\u0644\\u062a \\u0645\\u062f\\u0629 \\u0639\\u062f\\u0645 \\u0645\\u0633\\u062d \\u0627\\u0644\\u0633\\u062c\\u0644 \\u0623\\u0648 \\u0633\\u062d\\u0628 \\u0646\\u0641\\u0633\\u0643 (\\u0648\\u0641\\u0642\\u064b\\u0627 \\u0644\\u0644\\u0642\\u0648\\u0627\\u0646\\u064a\\u0646 \\u0648\\u0627\\u0644\\u0625\\u0631\\u0634\\u0627\\u062f\\u0627\\u062a).<\\/p>"},"fr":{"details":"<p>Quelles informations collectons-nous?<\\/p><p>Nous collectons vos donn\\u00e9es lorsque vous vous inscrivez sur notre site, soumettez une demande, achetez des services, r\\u00e9agissez \\u00e0 un aper\\u00e7u ou compl\\u00e9tez une structure. Au moment de demander de l\'aide ou de vous inscrire sur notre site, le cas \\u00e9ch\\u00e9ant, vous pourriez \\u00eatre invit\\u00e9 \\u00e0 saisir votre : nom, adresse e-mail ou num\\u00e9ro de t\\u00e9l\\u00e9phone. Vous pouvez n\\u00e9anmoins visiter notre site de mani\\u00e8re anonyme.<\\/p><p>Comment prot\\u00e9geons-nous vos informations?<\\/p><p>Toutes les donn\\u00e9es d\\u00e9licates\\/de cr\\u00e9dit fournies sont envoy\\u00e9es via Stripe.<br>Apr\\u00e8s un \\u00e9change, vos donn\\u00e9es priv\\u00e9es (cartes de cr\\u00e9dit, num\\u00e9ros de s\\u00e9curit\\u00e9 sociale, donn\\u00e9es financi\\u00e8res, etc.) seront transmises \\u00e0 nos employ\\u00e9s.<\\/p><p>Devons-nous divulguer des informations \\u00e0 des parties ext\\u00e9rieures&nbsp;?<\\/p><p>Nous ne vendons pas, n\'\\u00e9changeons pas, ou en aucun cas ne nous d\\u00e9pla\\u00e7ons vers des rassemblements ext\\u00e9rieurs par et par des donn\\u00e9es reconnaissables. Cela exclut les personnes confi\\u00e9es \\u00e0 des tiers qui nous aident \\u00e0 exploiter notre site, \\u00e0 diriger notre entreprise ou \\u00e0 vous ajuster, puisque ces personnes consentent \\u00e0 garder ces donn\\u00e9es priv\\u00e9es. Nous pouvons \\u00e9galement fournir vos donn\\u00e9es lorsque nous acceptons que la d\\u00e9cision soit appropri\\u00e9e pour respecter la loi, mettre en \\u0153uvre nos strat\\u00e9gies de site ou garantir nos propres droits, propri\\u00e9t\\u00e9 ou bien-\\u00eatre ou ceux d\'autrui.<\\/p><p>Conformit\\u00e9 \\u00e0 la loi sur la protection de la vie priv\\u00e9e en ligne des enfants<\\/p><p>Nous sommes conformes aux conditions pr\\u00e9alables de la COPPA (Childrens Online Privacy Protection Act), nous ne collectons aucune donn\\u00e9e sur toute personne de moins de 13 ans. Notre site, nos produits et nos services sont enti\\u00e8rement adapt\\u00e9s aux personnes \\u00e2g\\u00e9es de 13 ans ou plus.<\\/p><p>Modifications de notre politique de confidentialit\\u00e9<\\/p><p>Si nous d\\u00e9cidons de modifier notre politique de confidentialit\\u00e9, nous publierons ces modifications sur cette page.<\\/p><p>Combien de temps conservons-nous vos informations ?<\\/p><p>Au moment o\\u00f9 vous vous inscrivez sur notre site, nous conservons et conservons les informations que nous d\\u00e9tenons \\u00e0 votre sujet aussi longtemps que vous n\'effacez pas l\'enregistrement ou ne vous retirez pas (sous r\\u00e9serve des lois et directives).<\\/p>"}}}','last_edit_by' => '1','status' => '1','created_at' => '2023-06-12 12:19:42','updated_at' => '2024-03-06 12:34:10'),
            array('type' => 'useful-links','slug' => 'refund-policy','title' => '{"language":{"en":{"title":"Refund Policy"},"es":{"title":"Politica de reembolso"},"ar":{"title":"\\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u0627\\u0633\\u062a\\u0631\\u062c\\u0627\\u0639"},"fr":{"title":"Politica de reembolso"}}}','url' => NULL,'details' => '{"language":{"en":{"details":"<h3 style=\\"margin-left:0px;\\"><strong>What information do we collect?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We gather data from you when you register on our site, submit a request, buy any services, react to an overview, or round out a structure. At the point when requesting any assistance or enrolling on our site, as suitable, you might be approached to enter your: name, email address, or telephone number. You may, nonetheless, visit our site anonymously.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How do we protect your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">All provided delicate\\/credit data is sent through Stripe.<br>After an exchange, your private data (credit cards, social security numbers, financials, and so on) won be put away on our workers.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Do we disclose any information to outside parties?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We don sell, exchange, or in any case move to outside gatherings by and by recognizable data. This does exclude confided in outsiders who help us in working our site, leading our business, or adjusting you, since those gatherings consent to keep this data private. We may likewise deliver your data when we accept discharge is suitable to follow the law, implement our site strategies, or ensure our own or others rights, property, or wellbeing.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Childrens Online Privacy Protection Act Compliance<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">We are consistent with the prerequisites of COPPA (Childrens Online Privacy Protection Act), we don gather any data from anybody under 13 years old. Our site, items, and administrations are completely coordinated to individuals who are in any event 13 years of age or more established.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>Changes to our Privacy Policy<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">If we decide to change our privacy policy, we will post those changes on this page.<\\/p><h3 style=\\"margin-left:0px;\\"><strong>How long we retain your information?<\\/strong><\\/h3><p style=\\"margin-left:0px;\\">At the point when you register for our site, we cycle and keep your information we have about you however long you don not erase the record or withdraw yourself (subject to laws and guidelines).<\\/p>"},"es":{"details":"<p>\\u00bfQu\\u00e9 informaci\\u00f3n recopilamos?<\\/p><p>Recopilamos datos suyos cuando se registra en nuestro sitio, env\\u00eda una solicitud, compra alg\\u00fan servicio, reacciona a una descripci\\u00f3n general o completa una estructura. En el momento de solicitar asistencia o registrarse en nuestro sitio, seg\\u00fan corresponda, es posible que se le solicite que ingrese su: nombre, direcci\\u00f3n de correo electr\\u00f3nico o n\\u00famero de tel\\u00e9fono. No obstante, puede visitar nuestro sitio de forma an\\u00f3nima.<\\/p><p>\\u00bfC\\u00f3mo protegemos tu informaci\\u00f3n?<\\/p><p>Todos los datos delicados\\/cr\\u00e9ditos proporcionados se env\\u00edan a trav\\u00e9s de Stripe.<br>Despu\\u00e9s de un intercambio, sus datos privados (tarjetas de cr\\u00e9dito, n\\u00fameros de seguro social, finanzas, etc.) pasar\\u00e1n a nuestros trabajadores.<\\/p><p>\\u00bfRevelamos alguna informaci\\u00f3n a terceros?<\\/p><p>No vendemos, intercambiamos ni, en ning\\u00fan caso, nos trasladamos a reuniones externas mediante datos reconocibles. Esto excluye a personas externas de confianza que nos ayudan a trabajar en nuestro sitio, dirigir nuestro negocio o ajustarlo, ya que esas reuniones consienten en mantener estos datos privados. Asimismo, podremos entregar sus datos cuando aceptemos que la descarga es adecuada para cumplir con la ley, implementar las estrategias de nuestro sitio o garantizar nuestros derechos, propiedad o bienestar o los de otros.<\\/p><p>Cumplimiento de la Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea<\\/p><p>Somos consistentes con los requisitos previos de COPPA (Ley de Protecci\\u00f3n de la Privacidad Infantil en L\\u00ednea), no recopilamos datos de ninguna persona menor de 13 a\\u00f1os. Nuestro sitio, art\\u00edculos y servicios est\\u00e1n completamente adaptados a personas mayores de 13 a\\u00f1os o m\\u00e1s.<\\/p><p>Cambios en nuestra Pol\\u00edtica de Privacidad<\\/p><p>Si decidimos cambiar nuestra pol\\u00edtica de privacidad, publicaremos esos cambios en esta p\\u00e1gina.<\\/p><p>\\u00bfCu\\u00e1nto tiempo conservamos su informaci\\u00f3n?<\\/p><p>En el momento en que se registra en nuestro sitio, realizamos un ciclo y mantenemos la informaci\\u00f3n que tenemos sobre usted durante el tiempo que usted no borre el registro ni se retire (sujeto a leyes y pautas).<\\/p>"},"ar":{"details":"<p>\\u0645\\u0627 \\u0647\\u064a \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062a\\u064a \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639\\u0647\\u0627\\u061f<\\/p><p>\\u0646\\u0642\\u0648\\u0645 \\u0628\\u062c\\u0645\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u062a\\u0642\\u0648\\u0645 \\u0628\\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u062a\\u0642\\u062f\\u064a\\u0645 \\u0637\\u0644\\u0628 \\u060c \\u0623\\u0648 \\u0634\\u0631\\u0627\\u0621 \\u0623\\u064a \\u062e\\u062f\\u0645\\u0627\\u062a \\u060c \\u0623\\u0648 \\u0627\\u0644\\u0631\\u062f \\u0639\\u0644\\u0649 \\u0646\\u0638\\u0631\\u0629 \\u0639\\u0627\\u0645\\u0629 \\u060c \\u0623\\u0648 \\u0625\\u0646\\u0647\\u0627\\u0621 \\u0647\\u064a\\u0643\\u0644. \\u0639\\u0646\\u062f \\u0637\\u0644\\u0628 \\u0623\\u064a \\u0645\\u0633\\u0627\\u0639\\u062f\\u0629 \\u0623\\u0648 \\u0627\\u0644\\u062a\\u0633\\u062c\\u064a\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u062d\\u0633\\u0628 \\u0627\\u0644\\u0627\\u0642\\u062a\\u0636\\u0627\\u0621 \\u060c \\u0642\\u062f \\u064a\\u062a\\u0645 \\u0627\\u0644\\u0627\\u062a\\u0635\\u0627\\u0644 \\u0628\\u0643 \\u0644\\u0625\\u062f\\u062e\\u0627\\u0644: \\u0627\\u0633\\u0645\\u0643 \\u0623\\u0648 \\u0639\\u0646\\u0648\\u0627\\u0646 \\u0628\\u0631\\u064a\\u062f\\u0643 \\u0627\\u0644\\u0625\\u0644\\u0643\\u062a\\u0631\\u0648\\u0646\\u064a \\u0623\\u0648 \\u0631\\u0642\\u0645 \\u0647\\u0627\\u062a\\u0641\\u0643. \\u0648\\u0645\\u0639 \\u0630\\u0644\\u0643 \\u060c \\u064a\\u0645\\u0643\\u0646\\u0643 \\u0632\\u064a\\u0627\\u0631\\u0629 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u062f\\u0648\\u0646 \\u0627\\u0644\\u0643\\u0634\\u0641 \\u0639\\u0646 \\u0647\\u0648\\u064a\\u062a\\u0643.<\\/p><p>\\u0643\\u064a\\u0641 \\u0646\\u062d\\u0645\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u064a\\u062a\\u0645 \\u0625\\u0631\\u0633\\u0627\\u0644 \\u062c\\u0645\\u064a\\u0639 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u062f\\u0642\\u064a\\u0642\\u0629 \\/ \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646\\u064a\\u0629 \\u0627\\u0644\\u0645\\u0642\\u062f\\u0645\\u0629 \\u0645\\u0646 \\u062e\\u0644\\u0627\\u0644 Stripe.<br>\\u0628\\u0639\\u062f \\u0627\\u0644\\u062a\\u0628\\u0627\\u062f\\u0644 \\u060c \\u0633\\u064a\\u062a\\u0645 \\u0648\\u0636\\u0639 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 (\\u0628\\u0637\\u0627\\u0642\\u0627\\u062a \\u0627\\u0644\\u0627\\u0626\\u062a\\u0645\\u0627\\u0646 \\u0648\\u0623\\u0631\\u0642\\u0627\\u0645 \\u0627\\u0644\\u0636\\u0645\\u0627\\u0646 \\u0627\\u0644\\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u064a \\u0648\\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0627\\u0644\\u0645\\u0627\\u0644\\u064a\\u0629 \\u0648\\u0645\\u0627 \\u0625\\u0644\\u0649 \\u0630\\u0644\\u0643) \\u0628\\u0639\\u064a\\u062f\\u064b\\u0627 \\u0639\\u0646 \\u0639\\u0645\\u0627\\u0644\\u0646\\u0627.<\\/p><p>\\u0647\\u0644 \\u0646\\u0641\\u0635\\u062d \\u0639\\u0646 \\u0623\\u064a \\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0644\\u0644\\u0623\\u0637\\u0631\\u0627\\u0641 \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629\\u061f<\\/p><p>\\u0646\\u062d\\u0646 \\u0644\\u0627 \\u0646\\u0628\\u064a\\u0639 \\u0623\\u0648 \\u0646\\u062a\\u0628\\u0627\\u062f\\u0644 \\u0623\\u0648 \\u0646\\u0646\\u062a\\u0642\\u0644 \\u0628\\u0623\\u064a \\u062d\\u0627\\u0644 \\u0645\\u0646 \\u0627\\u0644\\u0623\\u062d\\u0648\\u0627\\u0644 \\u0625\\u0644\\u0649 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0631\\u062c\\u064a\\u0629 \\u0628\\u0648\\u0627\\u0633\\u0637\\u0629 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u064a\\u0645\\u0643\\u0646 \\u0627\\u0644\\u062a\\u0639\\u0631\\u0641 \\u0639\\u0644\\u064a\\u0647\\u0627. \\u0647\\u0630\\u0627 \\u0644\\u0627 \\u064a\\u0633\\u062a\\u062b\\u0646\\u064a \\u0645\\u0646 \\u0623\\u0633\\u0631\\u062a\\u0647\\u0645 \\u0627\\u0644\\u063a\\u0631\\u0628\\u0627\\u0621 \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0633\\u0627\\u0639\\u062f\\u0648\\u0646\\u0646\\u0627 \\u0641\\u064a \\u0627\\u0644\\u0639\\u0645\\u0644 \\u0639\\u0644\\u0649 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u0642\\u064a\\u0627\\u062f\\u0629 \\u0623\\u0639\\u0645\\u0627\\u0644\\u0646\\u0627 \\u060c \\u0623\\u0648 \\u062a\\u0639\\u062f\\u064a\\u0644\\u0643 \\u060c \\u0644\\u0623\\u0646 \\u062a\\u0644\\u0643 \\u0627\\u0644\\u062a\\u062c\\u0645\\u0639\\u0627\\u062a \\u062a\\u0648\\u0627\\u0641\\u0642 \\u0639\\u0644\\u0649 \\u0627\\u0644\\u062d\\u0641\\u0627\\u0638 \\u0639\\u0644\\u0649 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0628\\u064a\\u0627\\u0646\\u0627\\u062a. \\u0642\\u062f \\u0646\\u0642\\u0648\\u0645 \\u0623\\u064a\\u0636\\u064b\\u0627 \\u0628\\u062a\\u0633\\u0644\\u064a\\u0645 \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a\\u0643 \\u0639\\u0646\\u062f\\u0645\\u0627 \\u0646\\u0642\\u0628\\u0644 \\u0623\\u0646 \\u0627\\u0644\\u062a\\u0641\\u0631\\u064a\\u063a \\u0645\\u0646\\u0627\\u0633\\u0628 \\u0644\\u0627\\u062a\\u0628\\u0627\\u0639 \\u0627\\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u0623\\u0648 \\u062a\\u0646\\u0641\\u064a\\u0630 \\u0627\\u0633\\u062a\\u0631\\u0627\\u062a\\u064a\\u062c\\u064a\\u0627\\u062a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0623\\u0648 \\u0636\\u0645\\u0627\\u0646 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u062d\\u0642\\u0648\\u0642\\u0646\\u0627 \\u0623\\u0648 \\u0645\\u0645\\u062a\\u0644\\u0643\\u0627\\u062a\\u0646\\u0627 \\u0623\\u0648 \\u0631\\u0641\\u0627\\u0647\\u064a\\u062a\\u0646\\u0627.<\\/p><p>\\u0627\\u0644\\u0627\\u0645\\u062a\\u062b\\u0627\\u0644 \\u0644\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a<\\/p><p>\\u0646\\u062d\\u0646 \\u0646\\u062a\\u0641\\u0642 \\u0645\\u0639 \\u0627\\u0644\\u0645\\u062a\\u0637\\u0644\\u0628\\u0627\\u062a \\u0627\\u0644\\u0623\\u0633\\u0627\\u0633\\u064a\\u0629 \\u0644\\u0640 COPPA (\\u0642\\u0627\\u0646\\u0648\\u0646 \\u062d\\u0645\\u0627\\u064a\\u0629 \\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u0623\\u0637\\u0641\\u0627\\u0644 \\u0639\\u0628\\u0631 \\u0627\\u0644\\u0625\\u0646\\u062a\\u0631\\u0646\\u062a) \\u060c \\u0648\\u0644\\u0627 \\u0646\\u062c\\u0645\\u0639 \\u0623\\u064a \\u0628\\u064a\\u0627\\u0646\\u0627\\u062a \\u0645\\u0646 \\u0623\\u064a \\u0634\\u062e\\u0635 \\u0623\\u0642\\u0644 \\u0645\\u0646 13 \\u0639\\u0627\\u0645\\u064b\\u0627. \\u064a\\u062a\\u0645 \\u062a\\u0646\\u0633\\u064a\\u0642 \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u0648\\u0639\\u0646\\u0627\\u0635\\u0631\\u0646\\u0627 \\u0648\\u0625\\u062f\\u0627\\u0631\\u0627\\u062a\\u0646\\u0627 \\u0628\\u0627\\u0644\\u0643\\u0627\\u0645\\u0644 \\u0645\\u0639 \\u0627\\u0644\\u0623\\u0641\\u0631\\u0627\\u062f \\u0627\\u0644\\u0630\\u064a\\u0646 \\u064a\\u0628\\u0644\\u063a\\u0648\\u0646 \\u0645\\u0646 \\u0627\\u0644\\u0639\\u0645\\u0631 13 \\u0639\\u0627\\u0645\\u064b\\u0627 \\u0623\\u0648 \\u0623\\u0643\\u062b\\u0631.<\\/p><p>\\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0641\\u064a \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627<\\/p><p>\\u0625\\u0630\\u0627 \\u0642\\u0631\\u0631\\u0646\\u0627 \\u062a\\u063a\\u064a\\u064a\\u0631 \\u0633\\u064a\\u0627\\u0633\\u0629 \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635\\u064a\\u0629 \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0646\\u0627 \\u060c \\u0641\\u0633\\u0646\\u0646\\u0634\\u0631 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u062a\\u063a\\u064a\\u064a\\u0631\\u0627\\u062a \\u0639\\u0644\\u0649 \\u0647\\u0630\\u0647 \\u0627\\u0644\\u0635\\u0641\\u062d\\u0629.<\\/p><p>\\u0643\\u0645 \\u0645\\u0646 \\u0627\\u0644\\u0648\\u0642\\u062a \\u0646\\u062d\\u062a\\u0641\\u0638 \\u0628\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a\\u0643\\u061f<\\/p><p>\\u0641\\u064a \\u0627\\u0644\\u0648\\u0642\\u062a \\u0627\\u0644\\u0630\\u064a \\u062a\\u0633\\u062c\\u0644 \\u0641\\u064a\\u0647 \\u0641\\u064a \\u0645\\u0648\\u0642\\u0639\\u0646\\u0627 \\u060c \\u0646\\u0642\\u0648\\u0645 \\u0628\\u062a\\u062f\\u0648\\u064a\\u0631 \\u0627\\u0644\\u0645\\u0639\\u0644\\u0648\\u0645\\u0627\\u062a \\u0627\\u0644\\u062e\\u0627\\u0635\\u0629 \\u0628\\u0643 \\u0627\\u0644\\u062a\\u064a \\u0644\\u062f\\u064a\\u0646\\u0627 \\u0639\\u0646\\u0643 \\u0648\\u0627\\u0644\\u0627\\u062d\\u062a\\u0641\\u0627\\u0638 \\u0628\\u0647\\u0627 \\u0645\\u0647\\u0645\\u0627 \\u0637\\u0627\\u0644\\u062a \\u0645\\u062f\\u0629 \\u0639\\u062f\\u0645 \\u0645\\u0633\\u062d \\u0627\\u0644\\u0633\\u062c\\u0644 \\u0623\\u0648 \\u0633\\u062d\\u0628 \\u0646\\u0641\\u0633\\u0643 (\\u0648\\u0641\\u0642\\u064b\\u0627 \\u0644\\u0644\\u0642\\u0648\\u0627\\u0646\\u064a\\u0646 \\u0648\\u0627\\u0644\\u0625\\u0631\\u0634\\u0627\\u062f\\u0627\\u062a).<\\/p>"},"fr":{"details":"<p>Quelles informations collectons-nous?<\\/p><p>Nous collectons vos donn\\u00e9es lorsque vous vous inscrivez sur notre site, soumettez une demande, achetez des services, r\\u00e9agissez \\u00e0 un aper\\u00e7u ou compl\\u00e9tez une structure. Au moment de demander de l\'aide ou de vous inscrire sur notre site, le cas \\u00e9ch\\u00e9ant, vous pourriez \\u00eatre invit\\u00e9 \\u00e0 saisir votre : nom, adresse e-mail ou num\\u00e9ro de t\\u00e9l\\u00e9phone. Vous pouvez n\\u00e9anmoins visiter notre site de mani\\u00e8re anonyme.<\\/p><p>Comment prot\\u00e9geons-nous vos informations?<\\/p><p>Toutes les donn\\u00e9es d\\u00e9licates\\/de cr\\u00e9dit fournies sont envoy\\u00e9es via Stripe.<br>Apr\\u00e8s un \\u00e9change, vos donn\\u00e9es priv\\u00e9es (cartes de cr\\u00e9dit, num\\u00e9ros de s\\u00e9curit\\u00e9 sociale, donn\\u00e9es financi\\u00e8res, etc.) seront transmises \\u00e0 nos employ\\u00e9s.<\\/p><p>Devons-nous divulguer des informations \\u00e0 des parties ext\\u00e9rieures&nbsp;?<\\/p><p>Nous ne vendons pas, n\'\\u00e9changeons pas, ou en aucun cas ne nous d\\u00e9pla\\u00e7ons vers des rassemblements ext\\u00e9rieurs par et par des donn\\u00e9es reconnaissables. Cela exclut les personnes confi\\u00e9es \\u00e0 des tiers qui nous aident \\u00e0 exploiter notre site, \\u00e0 diriger notre entreprise ou \\u00e0 vous ajuster, puisque ces personnes consentent \\u00e0 garder ces donn\\u00e9es priv\\u00e9es. Nous pouvons \\u00e9galement fournir vos donn\\u00e9es lorsque nous acceptons que la d\\u00e9cision soit appropri\\u00e9e pour respecter la loi, mettre en \\u0153uvre nos strat\\u00e9gies de site ou garantir nos propres droits, propri\\u00e9t\\u00e9 ou bien-\\u00eatre ou ceux d\'autrui.<\\/p><p>Conformit\\u00e9 \\u00e0 la loi sur la protection de la vie priv\\u00e9e en ligne des enfants<\\/p><p>Nous sommes conformes aux conditions pr\\u00e9alables de la COPPA (Childrens Online Privacy Protection Act), nous ne collectons aucune donn\\u00e9e sur toute personne de moins de 13 ans. Notre site, nos produits et nos services sont enti\\u00e8rement adapt\\u00e9s aux personnes \\u00e2g\\u00e9es de 13 ans ou plus.<\\/p><p>Modifications de notre politique de confidentialit\\u00e9<\\/p><p>Si nous d\\u00e9cidons de modifier notre politique de confidentialit\\u00e9, nous publierons ces modifications sur cette page.<\\/p><p>Combien de temps conservons-nous vos informations ?<\\/p><p>Au moment o\\u00f9 vous vous inscrivez sur notre site, nous conservons et conservons les informations que nous d\\u00e9tenons \\u00e0 votre sujet aussi longtemps que vous n\'effacez pas l\'enregistrement ou ne vous retirez pas (sous r\\u00e9serve des lois et directives).<\\/p>"}}}','last_edit_by' => '1','status' => '1','created_at' => '2023-06-12 12:21:29','updated_at' => '2024-03-06 12:33:35')
        );

        SetupPage::insert($useful_links);

    }
}
